package common.service;

import common.model.DmpIncome;
import common.model.User;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import util.ResultModel;

import java.util.List;

public interface DmpIncomeService {

    List<DmpIncome> listByCode(String contractCode);

    List<DmpIncome> listByDs(String start, String end);

    HSSFWorkbook exportIncomeList(String startDate, String endDate, String bodyCode, String serchName);

    DmpIncome update(DmpIncome dmpIncome);

    Long delete(Long id);

    ResultModel uploadFile(MultipartFile file, String platform, User loginAccount);

    ResultModel contractUploadFile(MultipartFile file, String platform, User loginAccount);
}
